## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-charset-normalizer
Version:        3.3.2
Release:        %autorelease
Summary:        The Real First Universal Charset Detector
# SPDX
License:        MIT
URL:            https://github.com/ousret/charset_normalizer
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(pytest)


%description
A library that helps you read text from an unknown charset encoding.
Motivated by chardet, trying to resolve the issue by taking
a new approach. All IANA character set names for which the Python core
library provides codecs are supported.

%package -n     python3-charset-normalizer
Summary:        %{summary}

%description -n python3-charset-normalizer
A library that helps you read text from an unknown charset encoding.
Motivated by chardet, trying to resolve the issue by taking
a new approach. All IANA character set names for which the Python core
library provides codecs are supported.

%prep
%autosetup -n charset_normalizer-%{version}
# Remove pytest-cov settings from setup.cfg
sed -i "/addopts = --cov/d" setup.cfg

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files charset_normalizer

%check
%pytest

%files -n python3-charset-normalizer -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/normalizer

%changelog
## START: Generated by rpmautospec
* Mon Jul 22 2024 Karolina Surma <ksurma@redhat.com> - 3.3.2-6
- Add simple smoke test

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 3.3.2-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Nov 01 2023 Lumir Balhar <lbalhar@redhat.com> - 3.3.2-1
- Update to 3.3.2 (rhbz#2247370)

* Mon Oct 23 2023 Lumir Balhar <lbalhar@redhat.com> - 3.3.1-1
- Update to 3.3.1 (rhbz#2245543)

* Wed Oct 04 2023 Lumir Balhar <lbalhar@redhat.com> - 3.3.0-1
- Update to 3.3.0 (rhbz#2241473)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 17 2023 Lumir Balhar <lbalhar@redhat.com> - 3.2.0-1
- Update to 3.2.0 (rhbz#2221302), SPDX

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 3.1.0-2
- Rebuilt for Python 3.12

* Wed Mar 08 2023 Charalampos Stratakis <cstratak@redhat.com> - 3.1.0-1
- Update to 3.1.0 (rhbz#2175690)

* Thu Jan 19 2023 Lumír Balhar <lbalhar@redhat.com> - 3.0.1-1
- Update to 3.0.1 (rhbz#2118769)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 20 2022 Lumír Balhar <lbalhar@redhat.com> - 2.1.0-1
- Update to 2.1.0
Resolves: rhbz#2098481

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 2.0.12-2
- Rebuilt for Python 3.11

* Mon Feb 14 2022 Lumír Balhar <lbalhar@redhat.com> - 2.0.12-1
- Update to 2.0.12
Resolves: rhbz#2053838

* Mon Jan 31 2022 Lumír Balhar <lbalhar@redhat.com> - 2.0.11-1
- Update to 2.0.11
Resolves: rhbz#2048279

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jan 05 2022 Lumír Balhar <lbalhar@redhat.com> - 2.0.10-1
- Update to 2.0.10
Resolves: rhbz#2037079

* Fri Dec 17 2021 Lumír Balhar <lbalhar@redhat.com> - 2.0.9-1
- Update to 2.0.9
Resolves: rhbz#2028947

* Mon Nov 29 2021 Lumír Balhar <lbalhar@redhat.com> - 2.0.8-1
- Update to 2.0.8
Resolves: rhbz#2026482

* Thu Oct 14 2021 Lumír Balhar <lbalhar@redhat.com> - 2.0.7-1
- Update to 2.0.7
Resolves: rhbz#2013031

* Mon Sep 20 2021 Lumír Balhar <lbalhar@redhat.com> - 2.0.6-1
- Update to 2.0.6
Resolves: rhbz#2004262

* Mon Aug 02 2021 Lumír Balhar <lbalhar@redhat.com> - 2.0.4-1
- Update to 2.0.4
Resolves: rhbz#1988575

* Wed Jul 21 2021 Lumír Balhar <lbalhar@redhat.com> - 2.0.3-1
- Initial package

## END: Generated by rpmautospec
